def Total(E):
    N=len(E)
    T=0
    for i in range(N):
        T=T+E[i]
    return T

def Sommeprod(S,E):
    N=len(E)
    P=0
    for i in range(N):
        P=P+S[i]*E[i]
    return P

def MoyenneP(S,E):
    m=Sommeprod(S,E)/Total(E)
    return m


